function shs = genshs(sym)

% GENSHS creates template for stable heteroclicic sequence 
% from RSA symbolic dynamics
% function shs = genshs(sym)
%
% input:
% sym : symbolic dynamics (from recgram)
% 
% output:
% shs : stable heteroclicic sequence 

% (C) Peter beim Graben, Humboldt-Universitt zu Berlin 2015

s = [-1 sym];

% find changes
f = find(diff(s));
shs = s(f + 1);

% delete transients
shs(find(shs == 0)) = [];

return